﻿using System.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Data;
using System.Windows.Data;
using Telerik.Windows.Controls;

namespace GridViewComboBoxColumn
{
	public partial class MainPage : UserControl
	{
		MyViewModel model;
		public MainPage()
		{
			InitializeComponent();
			model = new MyViewModel();
			this.DataContext = model;
		}

		private void clubsGrid_AutoGeneratingColumn(object sender, Telerik.Windows.Controls.GridViewAutoGeneratingColumnEventArgs e)
		{
			if (e.Column.UniqueName == "PlayerID") 
			{ 
				var comboBoxColumn = new Telerik.Windows.Controls.GridViewComboBoxColumn() 
				{ 
					ItemsSource = model.Players,
					DataMemberBinding = new Binding((e.Column.UniqueName)), 
					SelectedValueMemberPath = "ID", 
					DisplayMemberPath = "Name", 					
				}; 
			//	comboBoxColumn.CopyPropertiesFrom(e.Column); //this line solves the problem 
				e.Column = comboBoxColumn; 
				ColumnGroupDescriptor columnDescriptor = new ColumnGroupDescriptor() { Column = e.Column }; 
				CountFunction count = new CountFunction() { Caption = "Entries count cs: " }; 
				columnDescriptor.Column.AggregateFunctions.Add(count); 
				this.clubsGrid.GroupDescriptors.Add(columnDescriptor); 
			} 
		}
	}
}
